classification
Title: Improve regular expression HOWTO
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: JoshuaRLi, brett.cannon, docs@python
Priority: normal Keywords: patch

Created on 2018-02-22 20:10 by JoshuaRLi, last changed 2019-04-18 17:25 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5821 merged JoshuaRLi, 2018-02-22 20:41
Messages (2)
msg312592 - (view) Author: Joshua Li (JoshuaRLi) * Date: 2018-02-22 20:10
"Python HOWTOs are documents that cover a single, specific topic, and attempt to cover it fairly completely."

It would be quite helpful if the section "non-capturing-and-named-groups" in the regex HOWTO contained at least a mention and short usage example of the re.match.groupdict method, something I have found to be pythonic and useful, yet it does not appear frequently in the docs.

I will be submitting a PR for this.
msg340454 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-04-17 22:43
New changeset a6de52c74d831e45ee0ff105196da8a58b9e43cd by Brett Cannon (josh) in branch 'master':
bpo-32913: Added re.Match.groupdict example to regex HOWTO (GH-5821)
https://github.com/python/cpython/commit/a6de52c74d831e45ee0ff105196da8a58b9e43cd
History
Date User Action Args
2019-04-18 17:25:26brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-17 22:43:41brett.cannonsetnosy: + brett.cannon
messages: + msg340454
2018-02-22 20:41:49JoshuaRLisetkeywords: + patch
stage: patch review
pull_requests: + pull_request5597
2018-02-22 20:10:00JoshuaRLicreate